Patient Chart Analysis
Fetch Patient Chart Report
Fetches a patient chart analysis result by its ID. Returns the comprehensive medical coding and documentation report including all sub-reports.
GET
/
api
/
patient-chart-analysis
/
{id}
cURL
curl --request GET \
--url https://forecaster.cairhealth.com/api/patient-chart-analysis/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_events": [],
"report": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claim_id": "<string>",
"coding_report": {
"icd_10_codes": [
"<string>"
],
"cpt_codes": [
{
"cpt_code": "<string>",
"units": 123
}
]
},
"documentation_discrepancy_report": {
"chief_complaint_hpi_discrepancy": {
"label": "<string>",
"value": "<string>"
},
"ros_hpi_discrepancy": {
"label": "<string>",
"value": "<string>"
},
"vitals_exam_discrepancy": {
"label": "<string>",
"value": "<string>"
},
"report_summary": "<string>"
},
"ncd_lcd_analysis": {
"diagnoses_match_ncd_lcd": {
"label": "<string>",
"value": "<string>"
},
"frequency_discrepancy": {
"label": "<string>",
"value": "<string>"
},
"age_discrepancy": {
"label": "<string>",
"value": "<string>"
},
"place_of_service_discrepancy": {
"label": "<string>",
"value": "<string>"
},
"report_summary": "<string>"
},
"suggestions_for_fixing_issues_report": {
"suggestions": [
"<string>"
]
},
"time_based_requirements_report": {
"total_time_documented": {
"label": "<string>",
"value": "<string>"
},
"start_time": {
"label": "<string>",
"value": "<string>"
},
"end_time": {
"label": "<string>",
"value": "<string>"
},
"time_range_matches_procedure": {
"label": "<string>",
"value": "<string>"
},
"codes_consistent": {
"label": "<string>",
"value": "<string>"
},
"report_summary": "<string>"
},
"telehealth_documentation_report": {
"patient_location": {
"label": "<string>",
"value": "<string>"
},
"provider_location": {
"label": "<string>",
"value": "<string>"
},
"modality": {
"label": "<string>",
"value": "<string>"
},
"patient_consent": {
"label": "<string>",
"value": "<string>"
},
"report_summary": "<string>"
},
"authentication_report": {
"provider_signature": {
"label": "<string>",
"value": "<string>"
},
"signature_date": {
"label": "<string>",
"value": "<string>"
},
"provider_credentials": {
"label": "<string>",
"value": "<string>"
},
"provider_name": {
"label": "<string>",
"value": "<string>"
},
"provider_cosignature": {
"label": "<string>",
"value": "<string>"
},
"report_summary": "<string>"
},
"diagnosis_procedure_report_alignment": {
"diagnosis_matches_code": {
"label": "<string>",
"value": "<string>"
},
"laterality_matches_code": {
"label": "<string>",
"value": "<string>"
},
"acute_chronic_discrepancy": {
"label": "<string>",
"value": "<string>"
},
"report_summary": "<string>"
},
"modifier_bundling_report": {
"modifier_25_check": {
"label": "<string>",
"value": "<string>"
},
"modifier_59_check": {
"label": "<string>",
"value": "<string>"
},
"modifier_50_check": {
"label": "<string>",
"value": "<string>"
},
"modifier_26_check": {
"label": "<string>",
"value": "<string>"
},
"multiple_modifier_check": {
"label": "<string>",
"value": "<string>"
},
"report_summary": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_uri": "<string>",
"demographics": {
"patient_name": "<string>",
"provider_name": "<string>",
"date_of_service": "<string>",
"patient_birth_date": "<string>",
"facility_name": "<string>"
},
"custom_rules_report": [
{
"rule": "<string>",
"tags": "<string>",
"rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"explanation": "<string>"
}
],
"last_updated": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for the patient chart analysis (report ID)
Response
Patient chart analysis retrieved successfully
Response containing patient chart analysis results
Unique identifier for the patient chart analysis
Status of the analysis
Available options:
complete, processing, failed, pending List of completed analysis events
Available options:
GENERATE_CODING_REPORT, GENERATE_TIME_BASED_REQUIREMENTS_REPORT, GENERATE_TELEHEALTH_DOCUMENTATION_REPORT, GENERATE_DOCUMENTATION_DISCREPANCY_REPORT, GENERATE_AUTHENTICATION_REPORT, GENERATE_DIAGNOSIS_PROCEDURE_ALIGNMENT_REPORT, GENERATE_MODIFIER_BUNDLING_REPORT, GENERATE_NCD_LCD_ANALYSIS_REPORT, GENERATE_SUGGESTIONS_FOR_FIXING_ISSUES_REPORT, GENERATE_CUSTOM_RULES_REPORT, GENERATE_DEMOGRAPHICS_INFO Comprehensive patient chart analysis report
Show child attributes
Show child attributes
Previous
Analyze Patient ChartAnalyzes patient chart documents and generates comprehensive medical coding and documentation reports
Next
⌘I
cURL
curl --request GET \
--url https://forecaster.cairhealth.com/api/patient-chart-analysis/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"completed_events": [],
"report": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claim_id": "<string>",
"coding_report": {
"icd_10_codes": [
"<string>"
],
"cpt_codes": [
{
"cpt_code": "<string>",
"units": 123
}
]
},
"documentation_discrepancy_report": {
"chief_complaint_hpi_discrepancy": {
"label": "<string>",
"value": "<string>"
},
"ros_hpi_discrepancy": {
"label": "<string>",
"value": "<string>"
},
"vitals_exam_discrepancy": {
"label": "<string>",
"value": "<string>"
},
"report_summary": "<string>"
},
"ncd_lcd_analysis": {
"diagnoses_match_ncd_lcd": {
"label": "<string>",
"value": "<string>"
},
"frequency_discrepancy": {
"label": "<string>",
"value": "<string>"
},
"age_discrepancy": {
"label": "<string>",
"value": "<string>"
},
"place_of_service_discrepancy": {
"label": "<string>",
"value": "<string>"
},
"report_summary": "<string>"
},
"suggestions_for_fixing_issues_report": {
"suggestions": [
"<string>"
]
},
"time_based_requirements_report": {
"total_time_documented": {
"label": "<string>",
"value": "<string>"
},
"start_time": {
"label": "<string>",
"value": "<string>"
},
"end_time": {
"label": "<string>",
"value": "<string>"
},
"time_range_matches_procedure": {
"label": "<string>",
"value": "<string>"
},
"codes_consistent": {
"label": "<string>",
"value": "<string>"
},
"report_summary": "<string>"
},
"telehealth_documentation_report": {
"patient_location": {
"label": "<string>",
"value": "<string>"
},
"provider_location": {
"label": "<string>",
"value": "<string>"
},
"modality": {
"label": "<string>",
"value": "<string>"
},
"patient_consent": {
"label": "<string>",
"value": "<string>"
},
"report_summary": "<string>"
},
"authentication_report": {
"provider_signature": {
"label": "<string>",
"value": "<string>"
},
"signature_date": {
"label": "<string>",
"value": "<string>"
},
"provider_credentials": {
"label": "<string>",
"value": "<string>"
},
"provider_name": {
"label": "<string>",
"value": "<string>"
},
"provider_cosignature": {
"label": "<string>",
"value": "<string>"
},
"report_summary": "<string>"
},
"diagnosis_procedure_report_alignment": {
"diagnosis_matches_code": {
"label": "<string>",
"value": "<string>"
},
"laterality_matches_code": {
"label": "<string>",
"value": "<string>"
},
"acute_chronic_discrepancy": {
"label": "<string>",
"value": "<string>"
},
"report_summary": "<string>"
},
"modifier_bundling_report": {
"modifier_25_check": {
"label": "<string>",
"value": "<string>"
},
"modifier_59_check": {
"label": "<string>",
"value": "<string>"
},
"modifier_50_check": {
"label": "<string>",
"value": "<string>"
},
"modifier_26_check": {
"label": "<string>",
"value": "<string>"
},
"multiple_modifier_check": {
"label": "<string>",
"value": "<string>"
},
"report_summary": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_uri": "<string>",
"demographics": {
"patient_name": "<string>",
"provider_name": "<string>",
"date_of_service": "<string>",
"patient_birth_date": "<string>",
"facility_name": "<string>"
},
"custom_rules_report": [
{
"rule": "<string>",
"tags": "<string>",
"rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"explanation": "<string>"
}
],
"last_updated": "2023-11-07T05:31:56Z"
}
}
